"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inline_source_1 = require("inline-source");
const handlers = [];
if (process.env.NODE_ENV === 'production' && !process.env.INLINE_PROD) {
    const handler = function (source) {
        source.content = ' ';
        source.replace = ' ';
        return Promise.resolve();
    };
    handlers.push(handler);
}
exports.processInlineHtml = (data, cb) => __awaiter(this, void 0, void 0, function* () {
    const prodInlineOpts = { attribute: 'inline-prod' };
    if (handlers.length)
        prodInlineOpts.handlers = handlers;
    data.html = yield inline_source_1.inlineSource(data.html, prodInlineOpts);
    const devInlineOpts = { attribute: 'inline' };
    data.html = yield inline_source_1.inlineSource(data.html, devInlineOpts);
    cb(null, data);
});
//# sourceMappingURL=processInlineHtml.js.map